package Mediator_tickermanager;

public class Main {
    public static final int MAX_TICKET = 2;
    public static final int MAX_WORKER = 5;
    
    public static void main(String[] args) {
	long startTime, elapsedTime = 0;
	
	TicketManager tm = new TicketManager(MAX_TICKET);
	Worker[] workers = new Worker[MAX_WORKER];
	
	for (int i = 0; i < MAX_WORKER; i++) {
	    workers[i] = new Worker(tm, i);
	}
	
	startTime = System.currentTimeMillis();
	ThreadGroup tg = new ThreadGroup("thread group");
	
	for (Worker worker : workers) {

	    Thread t = new Thread(tg, worker);
	    t.start();
	}
	
	while (tg.activeCount() > 0) {
	    try {
		Thread.sleep(1000);
	    } catch (InterruptedException e) {
		e.printStackTrace();
	    }
	}
	
	elapsedTime = System.currentTimeMillis() - startTime;
	System.out.println("====================");
	System.out.println("۾Ϸ " + elapsedTime + " ms");
    }
}
