package Mediator_tickermanager;

import java.util.Random;

public class Worker implements Runnable {
    private TicketManager tm;
    private int id;
    
    public Worker(TicketManager tm, int id) {
	this.tm = tm;
	this.id = id;
    }

    public int getId() {
        return id;
    }

    @Override
    public void run() {
	while (!tm.requestTicket(this)) {
	    try {
		Thread.sleep(1000);
	    } catch (InterruptedException e) {
		e.printStackTrace();
	    }
	}
	
	tm.useTicket(this);
	
	try {
	    System.out.println("[" + this.id + "] ۾...");
	    Thread.sleep(new Random().nextInt(2000));
	} catch (InterruptedException e) {
	    e.printStackTrace();
	}
	
	tm.releaseTicket(this);
    }
}
